> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/35.-mutaciya-dodati-comment-do-vibranoyi-note.md).

# 35. Мутація: Додати "Comment" до вибраної "Note"

Ця мутація дозволяє додати Коментар до обраної Нотатки.

* Коментар можна пов’язати з Полем через його унікальний ідентифікатор `fieldUuid` і з Нотаткою через `noteUuid`.
* Вміст Коментаря можна передати за допомогою `текст` атрибуту. Якщо вміст має бути багато рядковим, `текст` атрибут повинен містити рядок з символами нового рядка `\\n` щоб розділяти рядки. Наприклад: `"Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут."`.
* Можна встановити визначений час, пов’язаний з коментарем, використовуючи `датаСтворення` атрибут у форматі ISO8601.

Приклади запитів можна знайти нижче:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Перший коментар із кількох.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаСтворення
    updatedDate
    текст
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаСтворення
    updatedDate
    текст
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-mitki/35.-mutaciya-dodati-comment-do-vibranoyi-note.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
